@ECHO OFF
@setlocal enableextensions
@cd /d "%~dp0"

:::  _   _  _____     ___    _   _  ___
::: | \ | |/ _ \ \   / / \  | | | |/ _ \
::: |  \| | | | \ \ / / _ \ | |_| | | | |
::: | |\  | |_| |\ V / ___ \|  _  | |_| |
::: |_| \_|\___/  \_/_/   \_\_| |_|\__\_\
::: 
::: NovaLogic Med Fix Database
::: Made by Sil and NovaHQ
::: 

set NLFixDB=%~dp0AppFix.sdb

for /f "delims=: tokens=*" %%A in ('findstr /b ::: "%~f0"') do @echo(%%A

if NOT EXIST %NLFixDB% (
	echo  The file AppFix.sdb needs to be in the same folder as RunMe.bat
	echo.
	pause
	goto exitbat
) 

net session >nul 2>&1
if NOT %errorLevel% == 0 (
	echo  Administrator permissions are required to run this...
	echo  Right click on this *.bat file and select "Run as administrator"
	echo.
	pause
	goto exitbat
)

:selection
set /P conf=Press I to Install or U to Uninstall. E to exit: 
if /I "%conf%" EQU "I" goto :install
if /I "%conf%" EQU "U" goto :uninstall
if /I "%conf%" EQU "E" goto :exitbat
goto :selection

:install
echo.
sdbinst.exe -q %NLFixDB%
echo.

pause 
exit

:uninstall
echo.
sdbinst.exe -u -q %NLFixDB%
echo.

pause 
exit

:exitbat
exit